SDL_GetRectUnion(3)

NAME
SDL_GetRectUnion - Calculate the union of two rectangles.

HEADER FILE
Defined in SDL3/SDL_rect.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetRectUnion(const SDL_Rect * A,
                   const SDL_Rect * B,
                   SDL_Rect * result);

FUNCTION PARAMETERS

A   an SDL_Rect
     structure representing the first rectangle

B   an SDL_Rect
     structure representing the second rectangle

result
    an SDL_Rect
     structure filled in with the union of rectangles A and B

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.